org.apache.tools.ant.filters

## Class UniqFilter

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
    - - org.apache.tools.ant.filters.UniqFilter

All Implemented Interfaces:
  java.lang.Cloneable, ChainableReader, TokenFilter.Filter

    public class UniqFilter
    extends TokenFilter.ChainableReaderFilter

Like the Unix uniq(1) command, only returns tokens that are different from their ancestor token.

This filter is probably most useful if used together with a sortfilter.

Since:
  Ant 1.8.0

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`UniqFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `filter(java.lang.String string)` filter and/of modify a string

### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

`chain, setByLine`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UniqFilter

    public UniqFilter()

### Method Detail

#### filter

    public java.lang.String filter(java.lang.String string)

Description copied from interface: `TokenFilter.Filter`
filter and/of modify a string

Parameters:
  `string` - the string to filter
Returns:
  the modified string or null if the string did not pass the filter